<?
error_reporting(E_ALL);
ini_set('display_errors', 'On');
require_once '../api/nfephp/bootstrap.php';

use NFePHP\NFe\ToolsNFe;

$nfe = new ToolsNFe('../api/nfephp/config/config.json');
$nfe->setModelo('55');

// $chave = '35180407494091000108551100000011021000011028';
$recibo = $_GET['recibo'];

/*
valor testado na nuvem: 35170907494091000108550010000000031000000034
'351000113472426'
'351000113460834';
'351000113472406';

*/

$tpAmb = '2';
$aResposta = array();

// $xml = $nfe->sefazConsultaChave($chave, $tpAmb, $aResposta);
$xml = $nfe->sefazConsultaRecibo($recibo, $tpAmb, $aResposta);

echo '<br><br><pre>';
echo htmlspecialchars($nfe->soapDebug);
echo '</pre><br><pre>';
print_r($aResposta);
echo "<pre><br>";

exit;
?>
